import request from '@/utils/request'

// 分页查询客户信息列表
export function pageListCust(query) {
  return request({
    url: '/jxc/cust/pageList',
    method: 'get',
    params: query
  })
}

// 查询客户信息列表
export function listCust(query) {
  return request({
    url: '/jxc/cust/list',
    method: 'get',
    params: query
  })
}

// 查询客户信息详细
export function getCust(id) {
  return request({
    url: '/jxc/cust/' + id,
    method: 'get'
  })
}

// 新增客户信息
export function addCust(data) {
  return request({
    url: '/jxc/cust',
    method: 'post',
    data: data
  })
}

// 修改客户信息
export function updateCust(data) {
  return request({
    url: '/jxc/cust',
    method: 'put',
    data: data
  })
}

// 删除客户信息
export function delCust(id) {
  return request({
    url: '/jxc/cust/' + id,
    method: 'delete'
  })
}

// 导出客户信息
export function exportCust(query) {
  return request({
    url: '/jxc/cust/' + 'export',
    method: 'post',
    params: query
  })
}
